<_templates Include="trucks">
	<Flare>
		<IgnitionSignalGreen
			AspectRatio="1.4"
			Color="g(165; 149; 130) x 0.6"
			DirAngle="90"
			Size="0.4"
		/>
		<IgnitionSignalRed1
			AspectRatio="1.4"
			Color="g(169; 65; 26) x 0.4" 
			DirAngle="90"
			Size="0.5"
		/>
	</Flare>
	<Light>
		<IgnitionSignalGreen
			AttenEnd="1"
			Color="g(200; 253; 200) x 4" 
			InnerCone="10"
			OuterCone="180"
		/>
	</Light>
</_templates>
<TruckAddon IsChassisFullOcclusion="true">
	<TruckData RepairsCapacity="800"	/>
	<PhysicsModel Mesh="trucks/usrem">
		<Body ImpactType="Truck" Mass="6160.5">
			<Constraint Type="Fixed" />
			</Body>	
	</PhysicsModel>
	<ModelAttachments>
		<Ignition>
			<Flare _template="IgnitionSignalGreen" Pos="(-2.551; 2.683; -1.216)" Dir="(-1; 0; 0)" />
			<Flare _template="IgnitionSignalGreen" Pos="(-2.551; 2.683; -0.061)" Dir="(-1; 0; 0)" />
			<Light _template="IgnitionSignalGreen" Pos="(1.207; 3.532; 0.882)" Dir="(-0.754; -0.176; -0.632)"/>
			<Flare _template="IgnitionSignalGreen" Pos="(1.207; 3.532; 0.882)" Dir="(-0.754; -0.176; -0.632)" />
			<Light _template="IgnitionSignalGreen" Pos="(1.207; 3.532; -0.882)" Dir="(-0.754; -0.176; 0.632)"/>
			<Flare _template="IgnitionSignalGreen" Pos="(1.207; 3.532; -0.882)" Dir="(-0.754; -0.176; 0.632)" />
			
			<Light _template="IgnitionSignalGreen" Pos="(-2.017; 2.68; 1.175)" Dir="(0; 0; 1)"/>
			<Flare _template="IgnitionSignalGreen" Pos="(-2.017; 2.68; 1.175)" Dir="(0; -0.120; 0.993)" />
			
			<Light _template="IgnitionSignalGreen" Pos="(-0.503; 2.68; 1.175)" Dir="(0; 0; 1)"/>
			<Flare _template="IgnitionSignalGreen" Pos="(-0.503; 2.68; 1.175)" Dir="(0; 0; 1)" />
			
			<Light _template="IgnitionSignalGreen" Pos="(-0.503; 2.68; -1.199)" Dir="(0; 0; -1)"/>
			<Flare _template="IgnitionSignalGreen" Pos="(-0.503; 2.68; -1.199)" Dir="(0; 0; -1)" />
			
			<Flare _template="IgnitionSignalRed1" Pos="(1.149; 3.259; 1.136)" Dir="(-1.0; -0.2; 0)"/>
			<Flare _template="IgnitionSignalRed1" Pos="(1.149; 3.259; -1.136)" Dir="(-1.0; -0.2; 0)"/>
			<Flare _template="IgnitionSignalRed1" Pos="(2.916; 3.261; 1.137)" Dir="(1.0; -0.2; 0)"/>
			<Flare _template="IgnitionSignalRed1" Pos="(2.916; 3.261; -1.137)" Dir="(1.0; -0.2; 0)"/>			
		</Ignition>

	</ModelAttachments>
	<GameData GaragePoints="2"> 
		<!--<LoadArea Min="(-4.080; 1.400; -1.119)" Max="(-0.378; 4.287; 1.2)" Type="ShortLogs"/>
		<LoadArea Min="(-0.56; 1.400; -1.119)" Max="(2.255; 4.287; 1.2)" Type="ShortLogs"/>-->
		<InstallSocket Type="MaintainerTrucks" />
	</GameData>
	
</TruckAddon>
